<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">


<!-- document -->

<xsl:template match="document">
<html><xsl:apply-templates/></html>
</xsl:template>


<!-- head -->

<xsl:template match="head">
<head><xsl:apply-templates/></head>
</xsl:template>

<xsl:template match="titlebar">
<title><xsl:value-of select="."/></title>
</xsl:template>


<!-- body -->

<xsl:template match="body">
<body><xsl:apply-templates/></body>
</xsl:template>

<xsl:template match="contents">
    <hr></hr>
    <xsl:for-each select="//body/section">
        <a href="#section{section_number}"><xsl:value-of select="section_number"/><xsl:text>. </xsl:text><xsl:value-of select="section_title"/></a><br></br>
    </xsl:for-each>
</xsl:template>

<xsl:template match="body_title">
<center><xsl:apply-templates/></center>
</xsl:template>

<xsl:template match="body_title_first_line">
<font size="+3"><b><xsl:value-of select="."/></b></font><br></br>
</xsl:template>

<xsl:template match="body_title_other_line">
<i><xsl:apply-templates/></i><br></br>
</xsl:template>


<!-- section -->

<xsl:template match="section">
    <hr></hr>
    <h1><a name="section{section_number}">
        <xsl:value-of select="section_number"/>
        <xsl:text>. </xsl:text>
        <xsl:value-of select="section_title"/>
    </a></h1>
    <xsl:apply-templates select="section_contents"/>
</xsl:template>

<xsl:template match="section_contents">
<xsl:apply-templates/>
</xsl:template>


<!-- subsection -->

<xsl:template match="subsection">
    <h2><xsl:value-of select="subsection_title"/></h2>
    <xsl:apply-templates select="subsection_contents"/>
</xsl:template>

<xsl:template match="subsection_contents">
<xsl:apply-templates/>
</xsl:template>


<!-- common html -->

<xsl:template match="p">
<p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="list">
<ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="list_item">
<li><xsl:apply-templates/></li>
</xsl:template>

<xsl:template match="source">
<pre><xsl:apply-templates/></pre>
</xsl:template>

<xsl:template match="link">
<a href="{@url}"><xsl:value-of select="."/></a>
</xsl:template>

<xsl:template match="table">
<table cellpadding="5"><xsl:apply-templates/></table>
</xsl:template>

<xsl:template match="table_row">
<tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="table_cell">
<td><xsl:apply-templates/></td>
</xsl:template>


</xsl:stylesheet>
